aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTsuyoshi CHO <Tsuyoshi.CHO@Gmail.com>2020-01-29 23:00:00 +0900
committerTsuyoshi CHO <Tsuyoshi.CHO@Gmail.com>2020-01-29 23:36:35 +0900
commit899988fb04f4aa477c14e979f173216c0c2aadae (patch)
treeb3557a712478f30b1e989af02cbe128fb45dfd8c
parent54b401800bd2322bb40151cd63269ad3a39ebb35 (diff)
downloadvim-lsp-settings-899988fb04f4aa477c14e979f173216c0c2aadae.tar.gz
vim-lsp-settings-899988fb04f4aa477c14e979f173216c0c2aadae.tar.bz2
vim-lsp-settings-899988fb04f4aa477c14e979f173216c0c2aadae.zip
Add go installer/efm-langserver installer
-rw-r--r--installer/go_install.cmd18
-rwxr-xr-xinstaller/go_install.sh10
-rw-r--r--installer/install-efm-langserver.cmd3
-rwxr-xr-xinstaller/install-efm-langserver.sh5
4 files changed, 36 insertions, 0 deletions
diff --git a/installer/go_install.cmd b/installer/go_install.cmd
new file mode 100644
index 0000000..b4200ad
--- /dev/null
+++ b/installer/go_install.cmd
@@ -0,0 +1,18 @@
+@echo off
+
+if "x%1" equ "x" goto :EOF
+if "x%2" equ "x" goto :EOF
+
+setlocal
+
+set GOPATH=%CD%\go
+
+go get %2
+
+echo @echo off ^
+
+%%~dp0\go\bin\%1.exe %%* ^
+
+> %1.cmd
+
+endlocal
diff --git a/installer/go_install.sh b/installer/go_install.sh
new file mode 100755
index 0000000..d60925b
--- /dev/null
+++ b/installer/go_install.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# Usage
+# $ go_install [EXECUTABLE_NAME] [GO_GET_URLPATH]
+
+set -e
+
+GOPATH=$(pwd)/go
+go get "$2"
+ln -s "./go/bin/$1" .
diff --git a/installer/install-efm-langserver.cmd b/installer/install-efm-langserver.cmd
new file mode 100644
index 0000000..9bf3110
--- /dev/null
+++ b/installer/install-efm-langserver.cmd
@@ -0,0 +1,3 @@
+@echo off
+
+call "%~dp0\go_install.cmd" efm-langserver github.com/mattn/efm-langserver
diff --git a/installer/install-efm-langserver.sh b/installer/install-efm-langserver.sh
new file mode 100755
index 0000000..d967fa5
--- /dev/null
+++ b/installer/install-efm-langserver.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+set -e
+
+"$(dirname $0)/go_install.sh" efm-langserver github.com/mattn/efm-langserver